# Zola config

title = "Aparoksha"
base_url = "https://www.aparoksha.dev/"
description = "One app, fully native on every platform"
theme = "duckquill"

minify_html = true
default_language = "en"
compile_sass = true
author = "david-swift"

build_search_index = true
taxonomies = [{ name = "tags" }]

[markdown]
highlight_code = true
highlight_theme = "css"
smart_punctuation = true

[extra]
stylesheets = [
  "custom.css"
]
primary_color = "#FF2D75"
primary_color_alpha = "#FF005020"
primary_color_dark = "#FF2D75"
primary_color_dark_alpha = "#FF2D7520"
issues_url = "https://git.aparoksha.dev/aparoksha/aparoksha.dev/issues"
source_url = "https://git.aparoksha.dev/aparokhsa/aparoksha.dev"
show_copy_button = true

[extra.footer]
show_copyright = true
show_powered_by = true
show_source = true

[extra.nav]
links = [
  { name = "Guides" , sublinks = [
    { url = "@/backends/_index.md", name = "Backends" },
    { url = "/tutorials", name = "Tutorials" },
    { url = "/hig", name = "Human Interface Guidelines" },
    { url = "/docs", name = "Documentation" },
  ]},
  { url = "https://forums.aparoksha.dev/", name = "Community" },
  { url = "https://git.aparoksha.dev/aparoksha", name = "Code" },
]

[search]
index_format = "elasticlunr_json"

[extra.comments]
host = "mastodon.de"
user = "david_swift"
show_qr = true
